### org.jfree.layouting.output.pageable

# Class AllPageFlowSelector

- `java.lang.Object`
- - `org.jfree.layouting.output.pageable.AllPageFlowSelector`

Implemented Interfaces:
  FlowSelector, PageFlowSelector

`public class AllPageFlowSelector`
`extends java.lang.Object`
`implements PageFlowSelector`

Creation-Date: 12.11.2006, 13:42:38

Author:
  Thomas Morgner

  ## Constructor Summary

  `AllPageFlowSelector()`

  `AllPageFlowSelector(boolean logicalPages)`

  ## Method Summary

  `boolean`

  `isLogicalPageAccepted(LogicalPageKey key)`

  `boolean`

  `isMoreContentNeeded()`

  `boolean`

  `isPhysicalPageAccepted(PhysicalPageKey key)`

## Constructor Details

### AllPageFlowSelector

    public AllPageFlowSelector()

### AllPageFlowSelector

    public AllPageFlowSelector(boolean logicalPages)

## Method Details

### isLogicalPageAccepted

    public boolean isLogicalPageAccepted(LogicalPageKey key)

> Specified by:
>   isLogicalPageAccepted in interface FlowSelector

### isMoreContentNeeded

    public boolean isMoreContentNeeded()

> Specified by:
>   isMoreContentNeeded in interface FlowSelector

### isPhysicalPageAccepted

    public boolean isPhysicalPageAccepted(PhysicalPageKey key)

> Specified by:
>   isPhysicalPageAccepted in interface PageFlowSelector